Package Details: python-pytorch-git 0.1.10.r46.gbe6322e4-3

Git Clone URL: https://aur.archlinux.org/python-pytorch-git.git (read-only)
Package Base: python-pytorch-git
Description: Tensors and Dynamic neural networks in Python with strong GPU acceleration
Upstream URL: https://github.com/pytorch/pytorch
Licenses: BSD
Conflicts: python-pytorch
Provides: python-pytorch
Submitter: zsrkmyn
Maintainer: zsrkmyn
Last Packager: zsrkmyn
Votes: 1
Popularity: 0.013566
First Submitted: 2017-03-15 20:57
Last Updated: 2017-09-25 04:35

Latest Comments

petronny commented on 2017-10-03 07:07

呃 cd "$srcdir" 这句还没加上啊

ooxxcc commented on 2017-09-27 11:50

this PKGBUILD failed to build
please add this line

--- a/PKGBUILD.old
+++ b/PKGBUILD
@@ -29,6 +29,7 @@ prepare() {
cd "$srcdir/${_pkgname}"
git submodule update --init

+ cd "$srcdir"
cp -a "${_pkgname}" "${_pkgname}-py2"
cd "${_pkgname}"
sed -e "s|#![ ]*/usr/bin/python$|#!/usr/bin/python2|" \

petronny commented on 2017-09-17 06:49

请在prepare开头加上
cd ${_pkgname}
git submodule update --init

petronny commented on 2017-09-04 08:05

==> Starting prepare()...
==> Starting pkgver()...
==> Updated version: python-pytorch-git 0.1.11.r1450.g40ca356d-1
==> Starting build()...
==> Building Python 2
Could not find /build/python-pytorch-git/src/pytorch-py2/torch/lib/gloo/CMakeLists.txt
Did you run 'git submodule update --init'?
==> ERROR: A failure occurred in build().
Aborting...

没试应该怎么改。。。

petronny commented on 2017-04-10 14:34

13行depennds拼写。。。
makedepends少git,python-yaml,python2-yaml